Module tdlight.api
Package it.tdlight.jni

# Class TdApi.BankCardActionOpenUrl

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.BankCardActionOpenUrl

Enclosing class:
  TdApi

public static final class TdApi.BankCardActionOpenUrl extends TdApi.Object
Describes an action associated with a bank card number.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`text`
Action text.
`String`
`url`
The URL to be opened.

## Constructor Summary

Constructors
Constructor
Description
`BankCardActionOpenUrl()`
Describes an action associated with a bank card number.
`BankCardActionOpenUrl(DataInput input)`
Describes an action associated with a bank card number.
`BankCardActionOpenUrl(String text, String url)`
Describes an action associated with a bank card number.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public String text
Action text.

### url

public String url
The URL to be opened.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### BankCardActionOpenUrl

public BankCardActionOpenUrl()
Describes an action associated with a bank card number.

### BankCardActionOpenUrl

public BankCardActionOpenUrl(String text, String url)
Describes an action associated with a bank card number.

Parameters:
  `text` - String Action text.
  `url` - String The URL to be opened.

### BankCardActionOpenUrl

public BankCardActionOpenUrl(DataInput input) throws IOException
Describes an action associated with a bank card number.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`